﻿screen say:
    window:
        id"window"
        has vbox:
            style"say_vbox"
        text who id"who"
        text what id"what"
screen choice:
    window:
        style"menu_window"xalign.5 yalign.5
        vbox:
            style"menu"
            spacing 1
            for caption,action,chosen in items:
                if action:
                    button:
                        action action
                        style"menu_choice_button"
                        text caption style"menu_choice"
                else:
                    text caption style"menu_caption"
screen input:
    window style"input_window":
        has vbox
        text prompt style"input_prompt"
        input id"input"style"input_text"
screen main_menu:
    image im.Scale(im.FactorScale("l/rnf.webp",0.06),1400,800)
    textbutton"{size=60}Lights 0.2"xalign.5 yalign.5 action Start()
screen navigation:
    pass
screen file_picker:
    frame:
        style"file_picker_frame"
        has vbox
        $columns=4
        grid columns 1:
            transpose True
            xfill True
            style_group"file_picker"
            for i in range(1,columns+1):
                button:
                    action FileAction(i)
                    xfill True
                    has vbox
                    add FileScreenshot(i)
                    $file_name=FileSlotName(i,columns)
                    $file_time=FileTime(i,empty=_(""))
                    $save_name=FileSaveName(i)
                    text"{size=24}       [file_time!t] [save_name!t]"
                    key"save_delete"action FileDelete(i)
        hbox:
            textbutton _("Save")action ShowMenu("save")
            for i in range(1,7):
                textbutton str(" "):
                    action FilePage(i)
            textbutton _("Load")action ShowMenu("load")
    hbox yalign 1.0:
        textbutton _(" ")action Preference("display","window")
        textbutton _(" ")action Preference("display","fullscreen")
screen save:
    tag menu
    add"#12060290"
    use navigation
    use file_picker
screen load:
    tag menu
    add"#12060290"
    use navigation
    use file_picker
screen preferences:
    pass
screen yesno_prompt:
    modal True
    timer.1 action(yes_action)